class XmppExchangeContactsJob < ApplicationJob
  queue_as :default

  def perform(inviter, username, domain)
    ejabberd = EjabberdApiClient.new

    ejabberd.add_rosteritem({
      "localuser": username, "localhost": domain,
      "user": inviter.cn, "host": inviter.ou,
      "nick": inviter.cn, "group": "Friends", "subs": "both"
    })
    ejabberd.add_rosteritem({
      "localuser": inviter.cn, "localhost": inviter.ou,
      "user": username, "host": domain,
      "nick": username, "group": "Friends", "subs": "both"
    })
  end
end
